Package org.apache.sling.cms.core.internal.models

## Class ComponentPolicyImpl

- java.lang.Object
- - org.apache.sling.cms.core.internal.models.ComponentPolicyImpl

All Implemented Interfaces:
  `ComponentPolicy`

    @Model(adaptables=org.apache.sling.api.resource.Resource.class,
           adapters=org.apache.sling.cms.ComponentPolicy.class)
    public class ComponentPolicyImpl
    extends Object
    implements ComponentPolicy

### Constructor Summary

Constructors
`ComponentPolicyImpl​(org.apache.sling.api.resource.Resource resource)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `applies​(org.apache.sling.api.resource.Resource resource)`
`String[]` `getAvailableComponentTypes()`
`Map<String,​org.apache.sling.api.resource.Resource>` `getComponentConfigs()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ComponentPolicyImpl

    public ComponentPolicyImpl​(org.apache.sling.api.resource.Resource resource)

### Method Detail

#### applies

    public boolean applies​(org.apache.sling.api.resource.Resource resource)

Specified by:
  `applies` in interface `ComponentPolicy`

#### getAvailableComponentTypes

    public String[] getAvailableComponentTypes()

Specified by:
  `getAvailableComponentTypes` in interface `ComponentPolicy`

#### getComponentConfigs

    public Map<String,​org.apache.sling.api.resource.Resource> getComponentConfigs()

Specified by:
  `getComponentConfigs` in interface `ComponentPolicy`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`